## llgal 0.13.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 NAME	=	llgal
 ifeq ($(shell [ -d .svn ] && echo 1),1)
-	VERSION	=	$(shell cat VERSION)+svn
+	VERSION	=	$(shell cat VERSION)+svn.$(shell date +%Y%m%d)
 else
 	VERSION	=	$(shell cat VERSION)
 endif
@@ -18,6 +18,7 @@
 SYSCONFDIR	=	$(PREFIX)/etc
 MANDIR	=	$(PREFIX)/man
 LOCALEDIR	=	$(DATADIR)/locale
+DOCDIR	=	$(DATADIR)/doc
 PERL_INSTALLDIRS	=	
 
 TARBALL	=	$(NAME)-$(VERSION)
@@ -37,23 +38,21 @@
 	rm -f llgal
 
 install:: install-lib install-po
-	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(SYSCONFDIR)/llgal/
+	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(SYSCONFDIR)/llgal/
 	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
 	install -m 0644 $(DATA_SUBDIR)/* $(DESTDIR)$(DATADIR)/llgal/
 	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
-	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/
 
 uninstall:: uninstall-lib uninstall-po
 	rm $(DESTDIR)$(BINDIR)/llgal
 	rm -rf $(DESTDIR)$(DATADIR)/llgal/
 	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
-	rm $(DESTDIR)$(MANDIR)/man1/llgal.1
 
 tarball::
 	mkdir /tmp/$(TARBALL)/
 	cp llgal.in /tmp/$(TARBALL)
 	cp llgalrc /tmp/$(TARBALL)
-	cp llgal.1 /tmp/$(TARBALL)
+	cp llgal.1 llgalrc.5 /tmp/$(TARBALL)
 	cp Makefile /tmp/$(TARBALL)
 	cp Changes /tmp/$(TARBALL)
 	cp COPYING README VERSION /tmp/$(TARBALL)
@@ -106,3 +105,24 @@
 
 uninstall-po:
 	$(MAKE) -C $(PO_SUBDIR) uninstall LOCALEDIR=$(DESTDIR)$(LOCALEDIR)
+
+# Install the doc, only called on-demand by distrib-specific Makefile
+.PHONY: install-doc uninstall-doc
+
+install-doc:
+	$(MAKE) -C $(DOC_SUBDIR) install DOCDIR=$(DESTDIR)$(DOCDIR)
+
+uninstall-doc:
+	$(MAKE) -C $(DOC_SUBDIR) uninstall DOCDIR=$(DESTDIR)$(DOCDIR)
+
+# Install the manpages, only called on-demand by distrib-specific Makefile
+.PHONY: install-man uninstall-man
+
+install-man::
+	install -d -m 0755 $(DESTDIR)$(MANDIR)/man1/ $(DESTDIR)$(MANDIR)/man5/
+	install -m 0644 llgal.1 $(DESTDIR)$(MANDIR)/man1/
+	install -m 0644 llgalrc.5 $(DESTDIR)$(MANDIR)/man5/
+
+uninstall-man::
+	rm $(DESTDIR)$(MANDIR)/man1/llgal.1
+	rm $(DESTDIR)$(MANDIR)/man5/llgalrc.5
