## llgal 0.13.14

=== Makefile ===
--- 
+++ 
@@ -41,17 +41,15 @@
 	install -d -m 0755 $(DESTDIR)$(BINDIR)/ $(DESTDIR)$(DATADIR)/llgal/ $(DESTDIR)$(SYSCONFDIR)/llgal/
 	install -m 0755 llgal $(DESTDIR)$(BINDIR)/llgal
 	install -m 0644 $(DATA_SUBDIR)/* $(DESTDIR)$(DATADIR)/llgal/
-	install -m 0644 llgalrc $(DESTDIR)$(SYSCONFDIR)/llgal/
 
 uninstall:: uninstall-lib uninstall-po
 	rm $(DESTDIR)$(BINDIR)/llgal
 	rm -rf $(DESTDIR)$(DATADIR)/llgal/
-	rm -rf $(DESTDIR)$(SYSCONFDIR)/llgal/
+	rmdir $(DESTDIR)$(SYSCONFDIR)/llgal/ || true
 
 tarball::
 	mkdir /tmp/$(TARBALL)/
 	cp llgal.in /tmp/$(TARBALL)
-	cp llgalrc /tmp/$(TARBALL)
 	cp llgal.1 llgalrc.5 /tmp/$(TARBALL)
 	cp Makefile /tmp/$(TARBALL)
 	cp Changes /tmp/$(TARBALL)
@@ -82,7 +80,7 @@
 	$(MAKE) -C $(LIB_SUBDIR)
 
 install-lib: prepare-lib
-	$(MAKE) -C $(LIB_SUBDIR) install
+	$(MAKE) -C $(LIB_SUBDIR) install PREFIX= SITEPREFIX=$(PREFIX) PERLPREFIX=$(PREFIX) VENDORPREFIX=$(PREFIX)
 
 clean-lib: prepare-lib
 	$(MAKE) -C $(LIB_SUBDIR) distclean
