## llgal 0.13.16

=== debian/changelog ===
llgal (0.13.16-3) unstable; urgency=low

  * Add descriptions to patches.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.0, no changes needed.
  * Register howto.html to doc-base.
  * Add 02_fix_typos.patch to make lintian happy.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 03 Jul 2010 18:19:45 +0200

llgal (0.13.16-2) unstable; urgency=low

  * Add 01_fix_-n_manpage.patch to fix the description of -n in the manpage,
    thanks Paul Menzel, closes: #579096.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 09 May 2010 12:09:29 +0200

llgal (0.13.16-1) unstable; urgency=low

  * New upstream release.
    + Fix support for filenames with initial dash character in convert
      command-lines, closes: #570553.
    + Fix PARENT and PREV/NEXT links between galleries, honor user changes
      in the captions file instead of overriding with the default values,
      closes: #478699.
  * Add Vcs-Svn and Vcs-Browser fields.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Bump debhelper compatibility level to 5, adjust Build-Depends,
    add ${misc:Depends} to Depends.
  * Wrap and reorder Build-Depends, Depends and Recommends.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 28 Feb 2010 08:56:42 +0100

llgal (0.13.15-1) unstable; urgency=low

  * New upstream release.
  * Do not insert the default index title in the captions file if it is
    already defined (closes: #452945).
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Move the homepage URL from the description to the new Homepage field.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 15 Dec 2007 19:15:26 +0100

llgal (0.13.14-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 18 Nov 2007 16:22:31 +0100

llgal (0.13.13-1) unstable; urgency=low

  * New upstream release.
  * Do not call identify on every image, check their validity by looking
    at their dimensions instead (closes: #431939).
  * Refresh debianize_dependencies_in_warnings.patch.
  * Use dpkg-query instead of parsing /var/lib/dpkg/status in preinst
    (lintian error maintainer-script-uses-dpkg-status-directly).

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 08 Jul 2007 16:47:16 +0200

llgal (0.13.12-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue, 17 Apr 2007 00:01:50 +0200

llgal (0.13.11-1) unstable; urgency=low

  * New upstream release.
  * Update preinst and postinst to drop /etc/llgal/llgalrc (or the old
    /etc/llgalrc) unless it has been modified (since it is not installed
    in /etc by upstream anymore).
  * Install the llgalrc template as documentation.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sat, 24 Mar 2007 01:57:35 +0100

llgal (0.13.10-1) unstable; urgency=low

  * New upstream release.
  * Call external commands as a list of arguments instead of as a
    shell command-line so that special character are well supported
    in path and filenames, closes: #408873.
  * Update Standards-Version to 3.7.2.2, no change required.
  * Fix missing word in the description, thanks to Christoph Berg.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Mon, 29 Jan 2007 21:28:06 +0100

llgal (0.13.9-1) unstable; urgency=low

  * New upstream release.
  * Add missing double-quotes in command lines to support spaces in
    filenames, closes: #398814.
  * Install llgal.1 and the new llgalrc.5 with dh_installman instead
    of relying on the upstream Makefile.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 19 Nov 2006 22:21:50 +0100

llgal (0.13.8-1) unstable; urgency=low

  * New upstream release.
  * Add homepage to the description.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu,  9 Nov 2006 11:07:40 +0100

llgal (0.13.7-2) unstable; urgency=low

  * Install doc/examples/.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sat, 21 Oct 2006 17:42:21 +0200

llgal (0.13.7-1) unstable; urgency=low

  * New upstream release.
  * Include /usr/share/quilt/quilt.make in debian/rules to manage
    patches and add quilt (>= 0.40) to Build-Depends.
  * Add debianize_dependencies_in_warnings.patch to talk about
    libimage-exiftool-perl when recommending Image::ExifTool.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 19 Oct 2006 21:50:00 +0200

llgal (0.13.6-1) unstable; urgency=low

  * New upstream release.
  * Replace link_between_last_and_first_slide with link_between_last_and_first
    and make it work with subgallery linking too, closes: #377780.
  * Move libimage-exiftool-perl from Depends to Recommends since llgal
    now dynamically loads it only when required (not in the common case),
    and fails gracefully if not installed.
  * Add README.Debian to explain why libimage-exiftool-perl is only
    recommended.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun,  3 Sep 2006 11:34:40 -0400

llgal (0.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue,  4 Jul 2006 23:45:48 -0400

llgal (0.13.4-1) unstable; urgency=low

  * New upstream release.
  * Install HTML files from the new upstream doc/ subdirectory.
  * Update Standards-Version to 3.7.2.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 11 May 2006 11:41:12 +0200

llgal (0.13.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.7.0.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Sun, 30 Apr 2006 23:33:59 +0200

llgal (0.13.2-1) unstable; urgency=low

  * New upstream release.
  * Add an empty binary-arch target in debian/rules.
  * Replace Build-Depends-Indep with Build-Depends in debian/control.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Thu, 27 Apr 2006 00:35:28 +0200

llgal (0.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Brice Goglin <Brice.Goglin@ens-lyon.org>  Tue, 18 Apr 2006 17:06:52 -0700

llgal (0.13-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules to pass PERL_INSTALLDIRS=vendor.


