=== debian/control ===
Source: llgal
Section: web
Priority: optional
Maintainer: Brice Goglin <bgoglin@debian.org>
Build-Depends:
 debhelper (>= 5)
Homepage: http://home.gna.org/llgal/
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/

Package: llgal
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libimage-size-perl,
 liblocale-gettext-perl,
 liburi-perl,
 imagemagick
Recommends:
 libimage-exiftool-perl
Description: Command-line online gallery generator
 llgal is a online gallery generator for images, videos, ...
 It is based on igal and adds multiple features including:
  - various types of slides (movies, text, links, downloads and subdirs);
  - addition of headers, footers, links and separators in generated HTML files;
  - automatic generation of captions from JFIF, GIF or EXIF tags;
  - highly configurable layout.
 The llgal interface is command line only. Its purpose is to generates
 nice web-pages quickly, using very simple but standard XHTML/CSS code,
 without requiring anything like php or javascript.
