=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
#export DH_COMPAT=3

build:
	dh_testdir
	make PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	make clean PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	make install DESTDIR=$(CURDIR)/debian/llgal PREFIX=/usr SYSCONFDIR=/etc MANDIR=/usr/share/man PERL_INSTALLDIRS=vendor

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changes
	dh_installdocs doc/howto.html doc/upgrade.html doc/examples/ doc/llgalrc
	dh_installman llgal.1 llgalrc.5
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
