=== debian/changelog ===
llgal (0.13.17-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes needed.
  * Fix copyright-refers-to-symlink-license.
  * Add 01-fix_subgallery_-n.patch to fix the slidename of sugalleries
    when -n is used, closes: #652929.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 14 Apr 2012 09:35:49 +0200

llgal (0.13.17-1) unstable; urgency=low

  * New upstream release.
    + Fix compatibility with graphicsmagick-imagemagick-compat,
      closes: #604106.
  * Drop 01_fix_-n_manpage.patch and 02_fix_typos.patch, applied upstream.
  * Add dummy build-indep and build-arch rules to fix Lintian warnings.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 02 Aug 2011 12:39:05 +0200
