=== debian/watch ===
version=3

http://download.gna.org/llgal/llgal-([\d\w\.]+).tar.bz2 debian uupdate
