=== debian/changelog ===
llgal (0.13.19-2) unstable; urgency=low

  [ Brice Goglin ]
  * Enable release signature on github.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Maintain in Debian Phototools team (Brice, Thank you for all your upstream
    and Debian work)
    Closes: #1110016
  * Current upstream Closes: #828679
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: Short dh
  * d/{postinst,preinst}: Remove since unneeded for at least version in
    o-o-stable
  * d/copyright: DEP5
  * d/watch: version=5
  * Strip unneeded signatures from upstream key
  * Lintian-overrides for package-contains-documentation-outside-usr-share-doc
  * Remove patch applied upstream

 -- Andreas Tille <tille@debian.org>  Thu, 18 Dec 2025 16:17:05 +0100

llgal (0.13.19-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 17:31:41 +0100

llgal (0.13.19-1) unstable; urgency=low

  * Update to new webpage and repository URLs.
  * Really bump debhelper compatibility level to 9.
  * Bump Standards-Version to 4.0.1, no changes needed.

 -- Brice Goglin <bgoglin@debian.org>  Thu, 10 Aug 2017 20:31:15 +0200
