=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: llgal
 Section: web
 Priority: optional
-Maintainer: Brice Goglin <bgoglin@debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper (>= 9)
-Homepage: http://home.gna.org/llgal/
-Standards-Version: 3.9.8
-Vcs-Svn: svn://svn.gna.org/svn/llgal/branches/debian
-Vcs-Browser: http://svn.gna.org/viewcvs/llgal/branches/debian/
+ debhelper-compat (= 13)
+Homepage: http://bgoglin.free.fr/llgal/
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/llgal
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/llgal.git
 
 Package: llgal
 Architecture: all
