=== debian/watch ===
Version: 5

Template: Github
Owner: bgoglin
Project: @PACKAGE@
# Pgp-Mode: auto # Does not work
# Pgp-Mode: default
Pgp-Mode: mangle
Pgp-Sig-Url-Mangle: s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/
